Ports - Bug #1036

Add more xf86-video'"drivers".
2016-06-21 07:17 PM - GNUtoo

Status: in progress % Done: 80%
Priority: wish

Assignee:

Category:

Description
Hi,

After installing Parabola on ARM, I'm left with only the following xf86-video- Xorg "drivers":

xf86-video-dummy: probably does nothing. Very useful to run headless Xorg applications.
xf86-video-fbdev: Would probably work, with no acceleration and with very few features(no rotation).
xf86-video-nouveau: Probably works on some Tegra.

xf86-video-sisusb: Probably requires USB host.

xf86-video-vesa: Probably useful for UEFI boot Fimrwares or coreboot on ARM.

xf86-video-modesetting is also probably integrated in Xorg already, so that might be a working option too.

Upstream has all theses drivers (Look for "X.Org drivers" at https://cgit.freedesktop.org/):

xf86-video-amdgpu: same comment than xf86-video-ati below.

xf86-video-apm

xf86-video-ark

xf86-video-armsoc: Seem really useful: It seem to implement generic 2D acceleration on ARM.

xf86-video-ast

xf86-video-ati: Would be useful only if users of boards with exposed pcie connectors and an adapter that goes from pcielx to pcie16x
and plug an ATl GPU in it. They then would need to feed the video BIOS to the radeon kenrel driver,in order to initialize the display (it
needs some bytecode that resides in that video BIOS).

xf86-video-chips

xf86-video-cirrus

xf86-video-cyrix

xf86-video-geode

xf86-video-glide

xf86-video-glint

xf86-video-i128

xf86-video-i740

xf86-video-impact

xf86-video-imstt

xf86-video-intel

xf86-video-mach64

xf86-video-mga

xf86-video-modesetting: should be included in some other Xorg package already.

xf86-video-neomagic

xf86-video-nested

xf86-video-newport

xf86-video-nsc

xf86-video-nv: deprecated

xf86-video-omap: We should package it, many OMAP have free software bootloader. However we should check if it works as
expected as two omap video drivers are present in both Linux and Xorg. The xf86-video-omapfb driver that | knew had XV
acceleration and supported multiple screens.

xf86-video-opentegra: | never tried it, tegras are interesting ARM platforms: Some of them can boot with 100% free software.
xf86-video-p690

xf86-video-gxl: We should also compile it, since people might want to try parabola-arm in emulators. We should also compile its
kernel counterpart. Same applies for all implemented video cards in gemu. | hope that such cards are available on ARM too.
xf86-video-r128

xf86-video-radeonhd: deprecated radeon driver. As a side note, it might be interesting to look if it can work without the non-free
firmwares.

xf86-video-rendition

xf86-video-s3

xf86-video-s3virge

xf86-video-savage
xf86-video-siliconmotion
xf86-video-sis
xf86-video-sunbw2
xf86-video-suncg14
xf86-video-suncg3
xf86-video-suncgb
xf86-video-sunffb
xf86-video-sunleo
xf86-video-suntcx
xf86-video-tdfx
xf86-video-tga
xf86-video-trident
xf86-video-tseng
xf86-video-v4l
xf86-video-vermilion
xf86-video-vga
xf86-video-via
xf86-video-vmware: same comment than xf86-video-gx|, it's supported by gemu and libvirt.
xf86-video-voodoo
xf86-video-wayland
xf86-video-wsfb
xf86-video-xgi
xf86-video-xgixp

History

#1 - 2016-06-24 06:57 PM - Anonymous
- Related to Bug #910: Add Beaglebone black display driver if possible added

#2 - 2016-06-28 06:38 AM - isacdaavid
- Priority changed from bug to wish

- Assignee set to isacdaavid

#3 - 2016-06-30 10:01 PM - isacdaavid
- % Done changed from 0 to 50

- Status changed from open to in progress

xf86-video-armsoc-git, xf86-video-omap and xf86-video-omapfb are now available in [pcr]. It looks like xf86-video-freedreno was also packaged for
[libre] a while back, so that gives us a total of 9 Xorg drivers for ARMv7 so far.

xf86-video-amdgpu, xf86-video-ati, xf86-video-radeonhd, xf86-video-qlx and xf86-video-vmware are low-hanging fruit too, | will be building these next.
Arch ARM has some extra drivers that have not been mainlined at freedesktop.org, like xf86-video-imx and xf86-video-fbturbo. | guess they are free
but you may know better; I'm going to look more closely.

xf86-video-opentegra needs to be packaged from scratch.

#4 - 2016-06-30 10:03 PM - isacdaavid
- % Done changed from 50 to 30

#5 - 2016-07-08 01:08 AM - isacdaavid
- % Done changed from 30 to 60

We are missing xf86-video-radeonhd, xf86-video-qlx, xf86-video-imx and xf86-video-opentegra relative to my last comment.

#6 - 2016-08-03 03:36 PM - isacdaavid
- % Done changed from 60 to 80

- Assignee deleted (isacdaavid)

turns out xf86-video-gx| depends upon spice[1] which in turn is unavailable for ARM.
I'm gonna stop adding more drivers until interest surfaces again. Please ping me if you want to see xf86-video-imx, xf86-video-opentegra or anything
else.
#7 - 2017-02-08 12:36 AM - isacdaavid
- Related to deleted (Bug #910: Add Beaglebone black display driver if possible)
